Bug#587870: rhythmbox: Please remove type-handling dependency

Sebastian Andrzej Siewior sebastian at breakpoint.cc
Fri Jul 2 07:58:19 UTC 2010

Package: rhythmbox
Version: 0.12.8-2
Severity: normal
User: debian-powerpcspe at breakpoint.cc
Usertags: typehandling

This package uses the keywords linux-gnu or not+linux-gnu in its depends
field in the control file. In particular:
- libgudev-1.0-dev (>= 143) | not+linux-gnu
- libhal-dev (>= 0.5) | linux-gnu

Please be aware that linux-gnu excludes armel which is very likely
not be what you want.
Since Debian Policy architecture wild cards are defined for
Build-Depends(?:-Indep): [0] and Architecture: [1]. You are encouraged
to start using them.
A quick cheat-sheet for the dependency would be:
"$DEPENDENCY | not+linux-gnu" => "$DEPENDENCY [linux-any]"
"$DEPENDENCY | linux-gnu"     => "$DEPENDENCY [!linux-any]"

[0] http://www.debian.org/doc/debian-policy/ch-relationships.html#s-depsyntax
[1] http://www.debian.org/doc/debian-policy/ch-customized-programs.html#s-arch-spec


More information about the pkg-gnome-maintainers mailing list